import '@material/web/icon/icon.js';
import '@operato/i18n/ox-i18n.js';
import '@operato/input/ox-input-key-values.js';
import { LitElement, PropertyValues } from 'lit';
export declare class LinkBuilder extends LitElement {
    static styles: import("lit").CSSResult[];
    command?: string;
    targetId?: string;
    targetName?: string;
    link?: string;
    keyvalues: any;
    appliances: any[];
    targetAppliance: any;
    key?: string;
    byname: boolean;
    private clipboard?;
    render(): import("lit-html").TemplateResult<1>;
    firstUpdated(): void;
    updated(changes: PropertyValues<this>): void;
    objectToQueryString(obj: any): string;
    getAppliances(): Promise<void>;
}
